<?php

namespace Modules\Identity\Providers;

use Illuminate\Contracts\Auth\Access\Gate;
use Illuminate\Support\ServiceProvider;
use Modules\Identity\Policies\AuditLogPolicy;
use Spatie\Activitylog\Models\Activity;

class IdentityServiceProvider extends ServiceProvider
{
    public function register(): void {}

    public function boot(Gate $gate): void
    {
        $gate->policy(Activity::class, AuditLogPolicy::class);
    }
}
